Bug 181841 - Fails to Perform Dependency Check for cvs
Fails to Perform Dependency Check for cvs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: alsa-utils (Show other bugs)
4
All Linux
medium Severity low
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-16 22:56 EST by Joseph D. Wagner
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-20 11:53:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attempted Build Log for alsa-utils-1.0.10-1.FC4.src.rpm (1.02 KB, text/plain)
2006-02-16 22:58 EST, Joseph D. Wagner
no flags Details

  None (edit)
Description Joseph D. Wagner 2006-02-16 22:56:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.5; Linux 2.6.15-1.1831_FC4; X11; i686; en_US) KHTML/3.5.1 (like Gecko)

Description of problem:
alsa-utils-1.0.10-1.FC4.src.rpm fails to check for dependency cvs, which is 
required during the build process. 

Version-Release number of selected component (if applicable):
alsa-utils-1.0.10-1.FC4

How reproducible:
Always

Steps to Reproduce:
Simply execute the following command on any system that does not have  
cvs installed: 
rpmbuild --rebuild alsa-utils-1.0.10-1.FC4.src.rpm 

Actual Results:  Attempt to build and fails when calling command for cvs. 

Expected Results:  Should return failed dependency check; missing  
prerequisites. 

Additional info:

See attached log file.
Comment 1 Joseph D. Wagner 2006-02-16 22:58:10 EST
Created attachment 124799 [details]
Attempted Build Log for alsa-utils-1.0.10-1.FC4.src.rpm
Comment 2 Martin Stransky 2006-02-20 09:42:36 EST
Why does autoconf need cvs?
Comment 3 Karsten Hopp 2006-02-20 10:13:38 EST
It isn't autoconf but /usr/bin/autopoint from gettext-devel which requires cvs.
See bug 148011
Add a BuildRequires: gettext-devel like you did in the development tree to fix this
Comment 4 Martin Stransky 2006-02-20 10:28:13 EST
Oh, thanks, I thought I had seen it somewhere...
Comment 5 Martin Stransky 2006-02-20 11:53:41 EST
I removed autoconf from devel package, it isn't needed any longer....

Note You need to log in before you can comment on or make changes to this bug.